Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.9.3 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jivesoftware.openfire.muc.spi
Class MUCServicePropertyEventDispatcher

    java.lang.Object
      org.jivesoftware.openfire.muc.spi.MUCServicePropertyEventDispatcher

    public class MUCServicePropertyEventDispatcher

extends Object

Dispatches property events. Each event has a `type` and optional parameters, as follows:

Event Type | Extra Params
--- | ---
`property_set` | A param named `value` that has the value of the property set.
`property_deleted` | None

Author:
  Daniel Henninger

Nested Class Summary
`static class` | `MUCServicePropertyEventDispatcher.EventType` Represents valid event types.

Method Summary
`static void` | `addListener(MUCServicePropertyEventListener listener)` Registers a listener to receive events.
`static void` | `dispatchEvent(String service, String property, MUCServicePropertyEventDispatcher.EventType eventType, Map<String,Object> params)` Dispatches an event to all listeners.
`static void` | `removeListener(MUCServicePropertyEventListener listener)` Unregisters a listener to receive events.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### addListener

    public static void addListener(MUCServicePropertyEventListener listener)

  Registers a listener to receive events.

  Parameters:
    `listener` - the listener.

### removeListener

    public static void removeListener(MUCServicePropertyEventListener listener)

  Unregisters a listener to receive events.

  Parameters:
    `listener` - the listener.

### dispatchEvent

    public static void dispatchEvent(String service,
                                     String property,
                                     MUCServicePropertyEventDispatcher.EventType eventType,
                                     Map<String,Object> params)

  Dispatches an event to all listeners.

  Parameters:
    `service` - the subdomain of the MUC service the property is set for.
    `property` - the property.
    `eventType` - the event type.
    `params` - event parameters.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.9.3 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2008 Jive Software.